package com.bonus.core.customer.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GetCustInfoParams {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("第三方人员id")
   private String custThirdId;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("身份证号")
   private String idCard;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public GetCustInfoParams setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public GetCustInfoParams setCustNum(final String custNum) {
      this.custNum = custNum;
      return this;
   }

   public GetCustInfoParams setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
      return this;
   }

   public GetCustInfoParams setMobile(final String mobile) {
      this.mobile = mobile;
      return this;
   }

   public GetCustInfoParams setIdCard(final String idCard) {
      this.idCard = idCard;
      return this;
   }




}
